Bug 607398 - Upgrade from fc12 to fc13 freezes screen
Upgrade from fc12 to fc13 freezes screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 21:49 EDT by Glen Fullmer
Modified: 2018-04-11 06:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Smolt profile (4.92 KB, text/plain)
2010-06-23 21:49 EDT, Glen Fullmer
no flags Details
xorg.conf that worked for Fedora 12 but not 13 (1.07 KB, text/plain)
2010-06-23 21:51 EDT, Glen Fullmer
no flags Details
Xorg log file after deleting the xorg.conf file (836.01 KB, text/plain)
2010-06-23 21:55 EDT, Glen Fullmer
no flags Details
All logs requested. messages, Xorg.0.*, dmesg output. (331.99 KB, text/plain)
2010-06-24 17:18 EDT, Glen Fullmer
no flags Details
Kernel messages after gnome comes up in the bug manager. (4.61 KB, image/gif)
2010-06-24 17:34 EDT, Glen Fullmer
no flags Details

  None (edit)
Description Glen Fullmer 2010-06-23 21:49:28 EDT
Created attachment 426432 [details]
Smolt profile

Description of problem: 
Used preupgrade to upgrade to Fedora 13 from 12.  As my boot partition is only 200megs, used tricks in upgrade documentation to get the installer to upload.  That worked fine, however, after upgrade and boot the display froze on the swirly splash screen.  The old xorg.conf was in place but failed. Mouse movement at first until the splash screen came up then the cursor froze also.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13.i686



How reproducible:
On every reboot.  Had to use power switch to reboot.  Luckily single-user mode still worked and reviewed the Xorg.0.log after each boot.

Steps to Reproduce:
1. Upgrade to Fedora 13 - 2.6.33.5-124.fc13.i686 using preupgrade.
2. Automatic reboot = frozen screen
3.
  
Actual results:
Frozen Swirly (Fedora 13) Splash Screen

Expected results:
gnome login screen

Additional info:
After many attempts and changes to the xorg.conf file I deleted it and everything came up fine. Searching the bug reports I saw nothing that documented this problem, so for others I thought I would report it and my solution.
Comment 1 Glen Fullmer 2010-06-23 21:51:46 EDT
Created attachment 426433 [details]
xorg.conf that worked for Fedora 12 but not 13
Comment 2 Glen Fullmer 2010-06-23 21:55:10 EDT
Created attachment 426434 [details]
Xorg log file after deleting the xorg.conf file
Comment 3 Glen Fullmer 2010-06-23 22:02:47 EDT
What was interesting about this bug, there were not Xorg log files created when it failed, nor any messages in the messages file indicating a problem.

Seems like there are a whole lot of problems with my i810 chip with each new upgrade.  Sad to say, but my Windows 7 machine has been much more stable than either Fedora 12 or 13. Maybe it is time to upgrade my harware.
Comment 4 Glen Fullmer 2010-06-24 09:47:18 EDT
After a reboot however, it didn't start X automatically and just gave me a login prompt.  From there I had to start X (with startx).  How do I solve that if I have no xorg.conf?
Comment 5 Matěj Cepl 2010-06-24 11:27:59 EDT
If you start Fedora without xorg.conf whatsoever and you won't get Xorg in runlevel 5, there is a serious bug.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* X server log file (/var/log/Xorg.*.log; just to be sure nothing changed)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Glen Fullmer 2010-06-24 17:18:05 EDT
Created attachment 426702 [details]
All logs requested.  messages, Xorg.0.*, dmesg output.

This was before a "startx" command.
Comment 7 Glen Fullmer 2010-06-24 17:33:20 EDT
Now startx doesn't work!  Now reboot with the power switch and startx works. When the gnome display manager comes up it does so with 3 kernel panic messages which are uploaded.  Other than that everything seems to be back to "normal".
Comment 8 Glen Fullmer 2010-06-24 17:34:32 EDT
Created attachment 426708 [details]
Kernel messages after gnome comes up in the bug manager.
Comment 9 Glen Fullmer 2010-07-12 11:36:26 EDT
****Solved****

This is related to the "kernel: serial8250: too much work for irq" bug that was caused by a 56KB Dell modem.  It seems sometimes I could get it to boot and go into X but only by doing a boot-level 3 and then a startx.  But when I removed the phone line I wasn't able to bring up X at all.  So I removed the modem, and it seems to work fine.  Thanks for your help and Bugzilla for giving this hint.
Comment 10 Bug Zapper 2011-06-01 11:44:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 14:50:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.